﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Model
{
    /// <summary>
    /// Ranged physical Weapon.
    /// </summary>

    /**
    * This class represents a ranged weapon.
    * It implements the Weapon interface.
    */
    class BronzeBow : Weapon
    {
        private int minRange;
        private int maxRange;
        public int modStr { get; }
        public int modInt { get; }
        public int modSkill { get; }
        public string name { get; }
        public int[] range { get; }

        /**
        Constructs a Bronze Bow.
        */
        public BronzeBow()
        {
            modStr = 3;
            modSkill = 10;
            modInt = 0;
            range = new int[2] { 2, 2 };
            name = "Bronze Bow";
        }
    }
}



